--[[
Project name: HeadCount
Developed by: seppyk
Website: http://www.wowace.com/projects/head-count/
Description: Manages tracking of raid attendance and more.
License: All Rights Reserved unless otherwise explicitly stated. 
File: en_US.lua
File description: en_US resource bundle
]]

local L = AceLibrary("AceLocale-2.2"):new("HeadCount")

L:RegisterTranslations("enUS", function() return {
	["product.usage"] = "|cFF9999FF%s|r |cFF6666FF(%s):|r Use |cFF9999FF/headcount|r or |cFF9999FF/hc|r for configuration.", 	

	["am"] = "am", 
	["Active"] = "Active", 
	["Announce"] = "Announce", 
	["Bank"] = "Bank", 
	["Boss"] = "Boss", 
	["Cancel"] = "Cancel", 
	["Channel"] = "Channel", 
	["Class"] = "Class", 
	["Close"] = "Close", 
	["Cost"] = "Cost", 
	["Current"] = "Current", 
	["Date"] = "Date", 
	["Disenchanted"] = "Disenchanted", 
	["Difficulty"] = "Difficulty", 
	["End"] = "End", 
	["Epic"] = "Epic", 
	["False"] = "False", 
	["Female"] = "Female", 
	["Gender"] = "Gender", 
	["Guild"] = "Guild", 
	["Heroic"] = "Heroic", 
	["Inactive"] = "Inactive", 
	["Length"] = "Length", 
	["Level"] = "Level", 
	["Loot"] = "Loot", 
	["Male"] = "Male", 
	["Member"] = "Member", 
	["Members"] = "Members", 
	["Name"] = "Name", 
	["No"] = "No", 
	["None"] = "None", 
	["Normal"] = "Normal", 
	["Note"] = "Note", 
	["Officer"] = "Officer", 
	["Offline"] = "Offline", 
	["Offspec"] = "Offspec", 
	["Online"] = "Online", 
	["Party"] = "Party", 
	["Player"] = "Player", 
	["Players"] = "Players", 
	["pm"] = "pm", 
	["Presence"] = "Presence", 
	["Race"] = "Race", 
	["Raid"] = "Raid",  		
	["Recovery"] = "Recovery", 
	["Refresh"] = "Refresh", 
	["Remove"] = "Remove", 
	["Save"] = "Save", 
	["Say"] = "Say", 
	["Source"] = "Source", 
	["Standby"] = "Standby", 
	["Start"] = "Start", 
	["Time"] = "Time", 
	["Total"] = "Total", 
	["True"] = "True", 
	["Type"] = "Type", 
	["Unknown"] = "Unknown", 
	["Version"] = "Version", 
	["Wait"] = "Wait", 
	["Yell"] = "Yell", 
	["Yes"] = "Yes", 
	["Zone"] = "Zone", 

	["Announce wait list"] = "Announce wait list", 
	["Assign loot to bank"] = "Assign loot to bank", 
	["Assign loot as disenchanted"] = "Assign loot as disenchanted", 
	["Assign loot as offspec"] = "Assign loot as offspec", 
	["Begin time"] = "Begin time", 
	["Boss kills"] = "Boss kills", 
	["Close menu"] = "Close menu", 
	["Close the menu"] = "Close the menu", 
	["Current raid"] = "Current raid", 
	["Death Knight players"] = "Death Knight players", 
	["Druid players"] = "Druid players", 
	["End active raid"] = "End active raid", 
	["End raid"] = "End raid", 
	["End time"] = "End time", 
	["Export raid"] = "Export raid", 
	["Go back"] = "Go back", 
	["General information"] = "General information", 
	["Hunter players"] = "Hunter players", 
	["Item cost"] = "Item cost", 
	["Item level"] = "Item level", 
	["Item unavailable"] = "Item unavailable", 
	["Last activity"] = "Last activity", 
	["Last activity time"] = "Last activity time", 
	["List wait list"] = "List wait list", 
	["Loot cost"] = "Loot cost", 
	["Loot note"] = "Loot note", 
	["Loot source"] = "Loot source", 
	["Looted by"] = "Looted by", 
	["Mage players"] = "Mage players", 
	["Manage loot"] = "Manage loot", 
	["Member name"] = "Member name", 
	["No list"] = "No list", 
	["Number of bosses"] = "Number of bosses", 
	["Number of items"] = "Number of items", 
	["Number of members"] = "Number of members", 
	["Number of wait list players"] = "Number of wait list players", 
	["Offline time"] = "Offline time", 
	["Paladin players"] = "Paladin players", 
	["Priest players"] = "Priest players", 
	["Raid announcement"] = "Raid announcement", 
	["Raid information"] = "Raid information", 
	["Raid list"] = "Raid list", 
	["Raid list group"] = "Raid list group", 
	["Raid list time"] = "Raid list time", 
	["Remove all"] = "Remove all", 
	["Remove all raids"] = "Remove all raids", 
	["Remove attendee"] = "Remove attendee", 
	["Remove boss"] = "Remove boss", 
	["Remove loot"] = "Remove loot", 
	["Remove member"] = "Remove member", 
	["Remove raid"] = "Remove raid", 
	["Remove wait list member"] = "Remove wait list member", 
	["Rogue players"] = "Rogue players", 
	["Shaman players"] = "Shaman players", 
	["Start new raid"] = "Start new raid", 
	["Start raid"] = "Start raid", 
	["Time history"] = "Time history", 
	["Time information"] = "Time information", 
	["Total time"] = "Total time", 
	["Trash mob"] = "Trash mob", 
	["Unknown players"] = "Unknown players", 
	["View raid bosses"] = "View raid bosses", 
	["View raid loot"] = "View raid loot", 
	["View raid members"] = "View raid members", 
	["View wait list"] = "View wait list", 
	["Wait list"] = "Wait list", 
	["Wait list group"] = "Wait list group", 
	["Wait list time"] = "Wait list time", 
	["Wait list players"] = "Wait list players", 
	["Warlock players"] = "Warlock players", 
	["Warrior players"] = "Warrior players", 
	
	-- Console commands
	["console.commands"] = { "/headcount", "/hc" }, 
	["console.usage.channels"] = "[guild officer party raid say yell]", 
	["console.usage.dateformat"] = "[Day-Month-Year Month-Day-Year Year-Month-Day]", 
	["console.usage.exclude"] = "[link]", 
	["console.usage.item.quality"] = "[|cFF9D9D9DPoor|r | |cFFFFFFFFCommon|r | |cFF1EFF00Uncommon|r | |cFF0070DDRare|r | |cFFA335EEEpic|r | |cFFFF8000Legendary|r | |cFFE6CC80Artifact|r]", 
	["console.usage.groups"] = "[1 2 3 4 5 6 7 8]", 	
	["console.usage.name"] = "[name]", 
	
	["console.command.gui.name"] = "Raid tracker",
	["console.command.gui.description"] = "Opens the raid tracker user interface.",	
	
	["console.command.raid.name"] = "Raid management", 
	["console.command.raid.description"] = "Configure raid management options.", 
	["console.command.raid.groupsetup.name"] = "Group setup", 
	["console.command.raid.groupsetup.description"] = "Configure the raid group setups.", 	
	["console.command.raid.groupsetup.raidlistgroups.name"] = "Raid list groups", 
	["console.command.raid.groupsetup.raidlistgroups.description"] = "Set the raid list groups.", 
	["console.command.raid.groupsetup.waitlistgroups.name"] = "Wait list groups", 
	["console.command.raid.groupsetup.waitlistgroups.description"] = "Set the wait list groups.", 
	["console.command.raid.groupsetup.autogrouping.name"] = "Automatic group selection", 
	["console.command.raid.groupsetup.autogrouping.description"] = "Enables or disabled automatic group selection.  Party groups will be set automatically to raid list or wait list groups based on the instance type.", 
	["console.command.raid.waitlist.name"] = "Wait list management", 
	["console.command.raid.waitlist.description"] = "Configure wait list management options.", 	
	["console.command.raid.waitlist.duration.name"] = "Whisper duration", 
	["console.command.raid.waitlist.duration.description"] = "Sets the amount of time (in minutes) to accept players whispers to join the wait list.  If the duration is set to 0, whispers to join the wait list will be accepted for the entire duration of the raid.", 
	["console.command.raid.waitlist.autoremoval.name"] = "Automatic removal", 
	["console.command.raid.waitlist.autoremoval.description"] = "Enables or disables automatic player removal from the wait list upon that player joining the raid list.", 
	["console.command.raid.waitlist.incoming.name"] = "Display incoming whispers", 
	["console.command.raid.waitlist.incoming.description"] = "Enables or disables display of incoming wait list whispers.", 
	["console.command.raid.waitlist.outgoing.name"] = "Display outgoing whispers", 
	["console.command.raid.waitlist.outgoing.description"] = "Enables or disables display of outgoing wait list whispers.", 
	["console.command.raid.waitlist.notify.name"] = "Whisper notification", 
	["console.command.raid.waitlist.notify.description"] = "Enables or disables display of an information notification message when a player is successfully added to the wait list by a whisper command.", 
	["console.command.raid.pruning.name"] = "Pruning", 
	["console.command.raid.pruning.description"] = "Configure the pruning options to automatically delete old raids.  Raids will only be automatically deleted on startup.  Please use with caution.", 
	["console.command.raid.pruning.prune.name"] = "Automatic pruning", 
	["console.command.raid.pruning.prune.description"] = "Enables or disables automatic pruning of raids.  Enable pruning to automatically delete raids after a configurable amount of time.  Raids will only be automatically deleted on startup.  Please use with caution.", 
	["console.command.raid.pruning.prunetime.name"] = "Pruning time", 
	["console.command.raid.pruning.prunetime.description"] = "Sets the pruning time.  Increase or decrease the pruning time (in number of weeks) to automatically delete old raids after the configured amount of time.  Raids will only be automatically deleted on startup.  Please use with caution.", 
	["console.command.raid.delay.name"] = "Attendance delay", 
	["console.command.raid.delay.description"] = "Sets the attendance delay to increase or decrease performance at the cost of attendance accuracy.  Increase the time (measured in number of seconds) for improved performance at the cost of decreased accuracy.", 
	["console.command.raid.bgtracking.name"] = "Battleground tracking", 
	["console.command.raid.bgtracking.description"] = "Enables or disables attendance tracking while in a battleground.", 
	["console.command.raid.autoselect.name"] = "Automatic group selection", 
	["console.command.raid.autoselect.description"] = "Enables or disables automatic group selection by raid zone.", 	
	
	["console.command.datetime.name"] = "Date and time", 
	["console.command.datetime.description"] = "Configure date and time options.", 
	["console.command.datetime.dateformat.name"] = "Date format", 
	["console.command.datetime.dateformat.description"] = "Sets the date format.", 
	["console.command.datetime.timezone.name"] = "Time zone", 
	["console.command.datetime.timezone.description"] = "Sets the time zone difference for display.", 	
	["console.command.datetime.timeformat.name"] = "24-hour time format", 
	["console.command.datetime.timeformat.description"] = "Enables or disables the 24-hour time format.", 
	["console.command.datetime.timetotals.name"] = "Time totals", 
	["console.command.datetime.timetotals.description"] = "Sets the lists that contribute to total activity time.", 
	["console.command.datetime.timetotals.raidlisttime.name"] = "Raid list time", 
	["console.command.datetime.timetotals.raidlisttime.description"] = "Enables or disables raid list activity to count as total activity time.", 
	["console.command.datetime.timetotals.waitlisttime.name"] = "Wait list time", 
	["console.command.datetime.timetotals.waitlisttime.description"] = "Enables or disables wait list activity to count as total activity time.", 
	["console.command.datetime.timetotals.offlinetime.name"] = "Offline time", 
	["console.command.datetime.timetotals.offlinetime.description"] = "Enables or disables offline activity to count as total activity time.", 

	["console.command.boss.name"] = "Boss", 
	["console.command.boss.description"] = "Configure boss tracking options.", 
	["console.command.boss.groupsetup.name"] = "Group setup", 
	["console.command.boss.groupsetup.description"] = "Configure the boss attendance group setup.", 
	["console.command.boss.groupsetup.raidlistgroup.name"] = "Raid list group", 
	["console.command.boss.groupsetup.raidlistgroup.description"] = "Enables or disables inclusion of raid list group members for boss kill attendance.", 
	["console.command.boss.groupsetup.waitlistgroup.name"] = "Wait list group", 
	["console.command.boss.groupsetup.waitlistgroup.description"] = "Enables or disables inclusion of wait list group members for boss kill attendance.", 
	["console.command.boss.groupsetup.nolistgroup.name"] = "No list group", 
	["console.command.boss.groupsetup.nolistgroup.description"] = "Enables or disables inclusion of no list group members (members who are offline or not in the raid) for boss kill attendance.", 	
	["console.command.boss.groupsetup.waitlist.name"] = "Wait list", 
	["console.command.boss.groupsetup.waitlist.description"] = "Enables or disables inclusion of wait list members (members who are on the standby wait list) for boss kill attendance.", 	
	
	["console.command.loot.name"] = "Loot", 
	["console.command.loot.description"] = "Configure loot tracking options.", 
	["console.command.loot.minimum.name"] = "Minimum loot quality", 
	["console.command.loot.minimum.description"] = "Sets the minimum tracked loot quality.", 
	["console.command.loot.popup.name"] = "Loot management popup", 
	["console.command.loot.popup.description"] = "Enables or disabled the loot management popup window whenever a tracked loot item is distributed.", 
	["console.command.loot.exclude.name"] = "Loot exclusion", 
	["console.command.loot.exclude.description"] = "Manage loot exclusion", 
	["console.command.loot.add.name"] = "Add loot", 
	["console.command.loot.add.description"] = "Manually add loot to a given raid.", 
	["console.command.loot.add.usage"] = "[link] <raid_number> <player_name>", 
	
	["console.command.export.name"] = "Export", 
	["console.command.export.description"] = "Configure exporting options.", 	
	["console.command.export.format.name"] = "Export format", 
	["console.command.export.format.description"] = "Set the export format.", 
	["console.command.export.format.usage"] = "[EQdkp]", 
	["console.command.export.eqdkp.name"] = "EQdkp", 
	["console.command.export.eqdkp.description"] = "Configure EQdkp export options.", 
	["console.command.export.eqdkp.difficulty.name"] = "Difficulty label", 
	["console.command.export.eqdkp.difficulty.description"] = "Enables or disables the difficulty label for EQdkp export.  Enabling will configure the export string to add '(10)' and '(25)' suffixes for normal and heroic raids, respectively.  If the raid is not available in heroic mode, then no difficulty label suffix will be appended.", 
	
	["console.command.reporting.name"] = "Reporting", 
	["console.command.reporting.description"] = "Configure reporting options", 
	["console.command.reporting.broadcastchannel.name"] = "Broadcast channel", 
	["console.command.reporting.broadcastchannel.description"] = "Sets the channel in which to broadcast raid information.", 	
	["console.command.reporting.bosskills.name"] = "Broadcast boss kills",  
	["console.command.reporting.bosskills.description"] = "Broadcast boss kills in real-time to a chat channel.", 
	["console.command.reporting.loot.name"] = "Broadcast loot", 
	["console.command.reporting.loot.description"] = "Broadcast loot in real-time to a chat channel.", 
	
	["console.command.debug.name"] = "Debug", 
	["console.command.debug.description"] = "Enables or disables the debug flag.", 		

	["console.command.exclude.name"] = "Exclude", 
	["console.command.exclude.description"] = "Enables or disables tracking for specific loot items.", 
	["console.command.exclude.add.name"] = "Add loot", 
	["console.command.exclude.add.description"] = "Add loot to the exclude list.", 
	["console.command.exclude.remove.name"] = "Remove loot", 
	["console.command.exclude.remove.description"] = "Remove loot from the exclude list.", 	
	["console.command.exclude.list.name"] = "List loot", 
	["console.command.exclude.list.description"] = "Display the exclusion list.", 
	
	-- *** MINIMAP MESSAGES ***
	["minimap.frame"] = "|cFF9999FFLeft-click|r |cFFFFFFFFto open the raid tracker.|r", 
	["minimap.configuration"] = "|cFF9999FFRight-click|r |cFFFFFFFFto open the configuration menu.", 
	["minimap.button.rotate"] = "|cFF9999FFLeft-click|r |cFFFFFFFFand|r |cFF9999FFdrag the mouse|r |cFFFFFFFFto rotate the minimap button.", 
	["minimap.button.drag"] = "|cFFFFFFFFHold|r |cFF9999FFalt|r |cFFFFFFFFand|r |cFF9999FFdrag the mouse|r |cFFFFFFFFto move the minimap button.", 

	-- Information messages
	["info.announce.waitlist.open"] = "The raid wait list is now open for new members.  Send the whisper, wl add, to be added to the wait list.", 
	["info.announce.waitlist.close"] = "The raid wait list is now closed to new members.", 
	["info.announce.type.announcewaitlist"] = "Announce the wait list is open to accept new members.", 
	["info.announce.type.listwaitlist"] = "List the current wait list members.", 
	["info.boss.snapshot"] = "Boss snapshot (%d members)", 
	["info.channel.guild"] = "The Guild chat channel.", 
	["info.channel.officer"] = "The Officer chat channel.", 
	["info.channel.party"] = "The Party chat channel.", 
	["info.channel.raid"] = "The Raid chat channel.", 
	["info.channel.say"] = "The Say chat channel.", 
	["info.channel.yell"] = "The Yell chat channel.", 
	["info.end.raid"] = "Do you want to end the active raid?", 
	["info.end.raid.noraidsexists"] = "|cFF9999FF%s|r |cFF6666FF(%s):|r Unable to end the active raid because no raid is currently active.", 	
	["info.exclude.add.success"] = "|cFF9999FF%s|r |cFF6666FF(%s):|r Successfully added loot to the exclude list: %s", 		
	["info.exclude.loot"] = "|cFF9999FF%s|r |cFF6666FF(%s):|r %s (%s)", 
	["info.exclude.loot.manage"] = "|cFF9999FF%s|r |cFF6666FF(%s):|r Use the command-line options to manage loot exclusion (/headcount exclude).", 	
	["info.exclude.loot.title"] = "|cFF9999FF%s|r |cFF6666FF(%s):|r Number of excluded items: %d", 	
	["info.exclude.remove.success"] = "|cFF9999FF%s|r |cFF6666FF(%s):|r Successfully removed loot from the exclude list: %s", 		
	["info.export.raid"] = "Exporting raid information (%s format)", 	
	["info.initialization.complete"] = "|cFF9999FF%s|r |cFF6666FF(%s):|r Addon loaded.", 
	["info.item.unsafe"] = "This item is unsafe.", 
	["info.item.query"] = "You may left-click to attempt to query the server for this item.", 
	["info.item.requery"] = "If the item was queried, you may need to reclick to requery and/or refresh the interface.", 
	["info.loot.add.success"] =  "|cFF9999FF%s|r |cFF6666FF(%s):|r Successfully added loot %s for %s in raid %d.", 		
	["info.loot.manage"] = "Manage loot information", 
	["info.newraid"] = "|cFF9999FF%s|r |cFF6666FF(%s):|r New raid started (%s).", 
	["info.noraidsexist"] = "No raids currently exist.", 
	["info.noraidsselected"] = "No raid is currently selected.", 
	["info.raid.announce.noactiveraid"] = "|cFF9999FF%s|r |cFF6666FF(%s):|r Unable to make a raid announcement because no raid is currently active.", 
	["info.raidbosses"] = "Raid bosses (%d bosses)", 
	["info.raidhistory"] = "Raid history (%d raids)", 
	["info.raidloot"] = "Raid loot (%d items)", 
	["info.raidmembers"] = "Raid members (%d members)", 
	["info.raidplayer"] = "Member information", 
	["info.remove.attendee"] = "Do you want to remove this attendee?", 
	["info.remove.raid"] = "Do you want to remove this raid?", 
	["info.remove.allraids"] = "Do you want to remove all raids?", 
	["info.remove.allraids.warning"] = "WARNING: This will delete all tracked data.", 
	["info.remove.boss"] = "Do you want to remove this raid boss?", 
	["info.remove.member"] = "Do you want to remove this raid member?", 
	["info.remove.waitlist"] = "Do you want to remove this member from the wait list?", 
	["info.remove.loot"] = "Do you want to remove this raid loot?", 
	["info.start.raid"] = "Do you want to start a new raid?", 
	["info.waitlist"] = "Wait list (%d members)", 
	["info.waitlist.add.success"] = "|cFF9999FF%s|r |cFF6666FF(%s):|r %s was successfully added to the wait list.", 
	["info.waitlist.noplayers"] = "There currently are no players on the wait list.", 	

	-- Warning messages	

	["warning.announce.channel"] = "|cFF9999FF%s|r |cFF6666FF(%s):|r Unable to send announcement.  The channel type is invalid.", 
	["warning.announce.type"] = "|cFF9999FF%s|r |cFF6666FF(%s):|r Unable to send announcement.  The announcement type is invalid.", 	
	["warning.export.raid.currentraid"] = "|cFF9999FF%s|r |cFF6666FF(%s):|r Unable to export.  An active raid cannot be exported.", 	
	["warning.loot.add.failure.arguments"] = "|cFF9999FF%s|r |cFF6666FF(%s):|r |cFF9999FF|r Unable to determine one or more manual loot addition arguments.", 
	["warning.loot.add.failure.raidnumber"] = "|cFF9999FF%s|r |cFF6666FF(%s):|r |cFF9999FF|r Unable to manually add loot to raid %d because this raid does not exist.", 
	["warning.loot.manage.cost"] = "|cFF9999FF%s|r |cFF6666FF(%s):|r Unable to manage loot.  The loot cost must be a valid number.",
	["warning.loot.manage.looter"] = "|cFF9999FF%s|r |cFF6666FF(%s):|r Unable to manage loot.  The looted by value must be a valid string.", 
	["warning.loot.manage.note"] = "|cFF9999FF%s|r |cFF6666FF(%s):|r Unable to manage loot.  The loot note must be a valid string.",
	["warning.loot.manage.source"] = "|cFF9999FF%s|r |cFF6666FF(%s):|r Unable to manage loot.  The loot source value must be a valid string.", 
	["warning.loot.popup.remove.loot"] = "|cFF9999FF%s|r |cFF6666FF(%s):|r Unable to remove loot because a loot management popup window is active.", 	
	["warning.loot.popup.remove.raid"] = "|cFF9999FF%s|r |cFF6666FF(%s):|r Unable to remove raid because a loot management popup window is active.", 
	["warning.loot.popup.remove.removeall"] = "|cFF9999FF%s|r |cFF6666FF(%s):|r Unable to remove all raids because a loot management popup window is active.", 
	["warning.removeraid.failure"] = "|cFF9999FF%s:|r Unable to remove raid [id: %d].", 
	["warning.waitlist.add.duplicate"] = "|cFF9999FF%s|r |cFF6666FF(%s):|r Unable to add player, %s, because this player is already in the wait list.", 
	["warning.waitlist.add.noactiveraid"] = "|cFF9999FF%s|r |cFF6666FF(%s):|r Unable to add player, %s, to the wait list because there currently is no active raid.", 
	["warning.waitlist.add.raidlist"] = "|cFF9999FF%s|r |cFF6666FF(%s):|r Unable to add player, %s, to the wait list because this player is currently in the raid list.", 
	["warning.waitlist.announce.currentraid"] = "|cFF9999FF%s|r |cFF6666FF(%s):|r Unable to announce wait list because there is no currently active raid.", 
	["warning.waitlist.list.currentraid"] = "|cFF9999FF%s|r |cFF6666FF(%s):|r Unable to list wait list because there is no currently active raid.", 	
	["warning.waitlist.list.noactiveraid"] = "|cFF9999FF%s|r |cFF6666FF(%s):|r Unable to display the wait list because there currently is no active raid.", 
	["warning.waitlist.incomplete"] = "The wait list feature is in development, but currently is not finished.", 
	
	-- Error messages	
	["error.loot.add.failure.raidnumber"] = "|cFF9999FF%s|r |cFF6666FF(%s):|r |cFF9999FF|r Unable to manually add loot because the raid tracker is currently not initialized.", 
	["error.loot.add.failure.raidtracker"] = "|cFF9999FF%s|r |cFF6666FF(%s):|r |cFF9999FF|r Unable to manually add loot to raid %d because this raid no longer exists.", 
	["error.loot.maximum"] = "|cFFFFFF7F%s:|r The maximum loot quality [|cFFFFFF7F%s|r] cannot be less than the minimum loot quality [|cFFFFFF7F%s|r].", 
	["error.loot.minimum"] = "|cFFFFFF7F%s:|r The minimum loot quality [|cFFFFFF7F%s|r] cannot be greater than the maximum loot quality [|cFFFFFF7F%s|r].", 
	["error.type.number"] = "|cFFFFFF7F%s:|r %s expects a number.", 
	["error.type.string"] = "|cFFFFFF7F%s:|r %s expects a string.", 
	["error.sort.name"] = "|cFFFFFF7F%s:|r Unable to sort because a raid member has no name.", 
	["error.sort.starttime"] = "|cFFFFFF7F%s:|r Unable to sort because a raid has no start time.", 
	["error.exclude.duplicate"] = "|cFF9999FF%s|r |cFF6666FF(%s):|r Unable to add because the loot item, %s, is already in the exclude list.", 
	["error.exclude.missing"] = "|cFF9999FF%s|r |cFF6666FF(%s):|r Unable to remove because the loot item, %s, is not present in the exclude list.", 
	
	-- Guild messages
	["guild.broadcast.bosskill"] = "Raid boss killed: %s", 
	["guild.broadcast.loot"] = "%s receives raid loot: %s [%s]", 
	
	-- Debug messages
	["debug.boss.engage"] = "|cFF9999FF%s|r |cFF6666FF(%s):|r |cFF9999FF(DEBUG)|r Boss engaged: %s (%s).", 
	["debug.boss.kill"] = "|cFF9999FF%s|r |cFF6666FF(%s):|r |cFF9999FF(DEBUG)|r Boss killed: %s (%s).", 
	["debug.boss.kill.complete"] = "|cFF9999FF%s|r |cFF6666FF(%s):|r |cFF9999FF(DEBUG)|r Boss encounter complete: %s.", 
	["debug.boss.loot.complete"] = "|cFF9999FF%s|r |cFF6666FF(%s):|r |cFF9999FF(DEBUG)|r Boss loot encountered: %s.", 
	["debug.boss.wipe"] = "|cFF9999FF%s|r |cFF6666FF(%s):|r |cFF9999FF(DEBUG)|r Boss wipe.", 
	["debug.boss.wipe.check"] = "|cFF9999FF%s|r |cFF6666FF(%s):|r |cFF9999FF(DEBUG)|r Checking for boss wipe.", 
	["debug.console.command.attendance.groups.range.invalid"] = "The group value [%d] is not in the proper range [1-8].", 
	["debug.console.command.attendance.groups.number.invalid"] = "The group value [%s] is not a number.", 
    ["debug.console.command.raid.groupsetup.raidlistgroups.set"] = "|cFF9999FF%s|r |cFF6666FF(%s):|r |cFF9999FF(DEBUG)|r Setting the raidlist group [%d] to value [%s].", 
    ["debug.console.command.raid.groupsetup.waitlistgroups.set"] = "|cFF9999FF%s|r |cFF6666FF(%s):|r |cFF9999FF(DEBUG)|r Setting the waitlist group [%d] to value [%s].", 
	["debug.enable.loadedraiddata"] = "|cFF9999FF%s|r |cFF6666FF(%s):|r |cFF9999FF(DEBUG)|r Loaded raid data (%d raids).", 
	["debug.event.register"] = "|cFF9999FF%s|r |cFF6666FF(%s):|r |cFF9999FF(DEBUG)|r Registering event: %s", 
	["debug.event.unregister"] = "|cFF9999FF%s|r |cFF6666FF(%s):|r |cFF9999FF(DEBUG)|r Unregistering event: %s", 
	["debug.loot.add.arguments"] = "|cFF9999FF%s|r |cFF6666FF(%s):|r |cFF9999FF(DEBUG)|r Manual loot addition arguments: %s", 
	["debug.message"] = "|cFF9999FF%s|r |cFF6666FF(%s):|r |cFF9999FF(DEBUG)|r Receiveded supported message, %s, from %s.", 
	["debug.message.listwaitlist"] = "|cFF9999FF%s|r |cFF6666FF(%s):|r |cFF9999FF(DEBUG)|r Processing a list wait list message.", 
	["debug.message.wl"] = "|cFF9999FF%s|r |cFF6666FF(%s):|r |cFF9999FF(DEBUG)|r Processing a wait list commands message.", 
	["debug.message.wl.add"] = "|cFF9999FF%s|r |cFF6666FF(%s):|r |cFF9999FF(DEBUG)|r Processing a wait list add message.", 
	["debug.message.wl.contact"] = "|cFF9999FF%s|r |cFF6666FF(%s):|r |cFF9999FF(DEBUG)|r Processing a wait list contact message.", 
	["debug.message.wl.invalid"] = "|cFF9999FF%s|r |cFF6666FF(%s):|r |cFF9999FF(DEBUG)|r Processing a wait list invalid message.", 
	["debug.message.wl.status"] = "|cFF9999FF%s|r |cFF6666FF(%s):|r |cFF9999FF(DEBUG)|r Processing a wait list status message.", 
	["debug.message.wl.remove"] = "|cFF9999FF%s|r |cFF6666FF(%s):|r |cFF9999FF(DEBUG)|r Processing a wait list remove message.", 
	["debug.raidtracker.setup.raid.final"] = "|cFF9999FF%s|r |cFF6666FF(%s):|r |cFF9999FF(DEBUG)|r Owner is in raid and the most recent raid is final.  Starting new raid.", 
	["debug.raidtracker.setup.raid.nofinal"] = "|cFF9999FF%s|r |cFF6666FF(%s):|r |cFF9999FF(DEBUG)|r Owner is in raid and the most recent raid is not final.  Continuing.", 
	["debug.raidtracker.setup.noraid.final"] = "|cFF9999FF%s|r |cFF6666FF(%s):|r |cFF9999FF(DEBUG)|r Owner is not in a raid and the most recent raid is final.  No recovery required.", 
	["debug.raidtracker.setup.noraid.nofinal"] = "|cFF9999FF%s|r |cFF6666FF(%s):|r |cFF9999FF(DEBUG)|r The owner is not in a raid.  Recovering by finalizing the most recent raid.", 
	["debug.raid.automaticgroupselection.change"] = "|cFF9999FF%s|r |cFF6666FF(%s):|r |cFF9999FF(DEBUG)|r Automatic group selection enabled for instance, %s, with %d players.", 
	["debug.raid.prune.disabled"] = "|cFF9999FF%s|r |cFF6666FF(%s):|r |cFF9999FF(DEBUG)|r Pruning is disabled.  No raids will be deleted.", 
	["debug.raid.prune.enabled"] = "|cFF9999FF%s|r |cFF6666FF(%s):|r |cFF9999FF(DEBUG)|r Pruning is enabled.  Raids older than %d weeks will be deleted automatically.", 
	["debug.raid.prune.date"] = "|cFF9999FF%s|r |cFF6666FF(%s):|r |cFF9999FF(DEBUG)|r Current pruning date: %s.", 
	["debug.raid.prune.delete"] = "|cFF9999FF%s|r |cFF6666FF(%s):|r |cFF9999FF(DEBUG)|r Attempting to automatically delete the following raid: %s - %s.", 
	["debug.raid.update.activitytime"] = "|cFF9999FF%s|r |cFF6666FF(%s):|r |cFF9999FF(DEBUG)|r The new raid update activity time is: (%s)", 
	["debug.raid.update.addmember.raidlist"] = "|cFF9999FF%s|r |cFF6666FF(%s):|r |cFF9999FF(DEBUG)|r Adding a new player [%s] to the raid list.", 
	["debug.raid.update.addmember.waitlist"] = "|cFF9999FF%s|r |cFF6666FF(%s):|r |cFF9999FF(DEBUG)|r Adding a new player [%s] to the wait list.",	
	["debug.raid.update.addmember.nolist"] = "|cFF9999FF%s|r |cFF6666FF(%s):|r |cFF9999FF(DEBUG)|r Adding a new player [%s] to no list.", 
	["debug.raid.update.addmember.offline"] = "|cFF9999FF%s|r |cFF6666FF(%s):|r |cFF9999FF(DEBUG)|r Adding a new player [%s] to no list.  Player is offline.", 	
	["debug.raid.update.addmember.whisper"] = "|cFF9999FF%s|r |cFF6666FF(%s):|r |cFF9999FF(DEBUG)|r Adding a new player [%s] to no list via a wait list whisper.", 
	["debug.raid.update.modifymember.raidlist"] = "|cFF9999FF%s|r |cFF6666FF(%s):|r |cFF9999FF(DEBUG)|r Moving an existing player [%s] to the raid list.", 	
	["debug.raid.update.modifymember.waitlist"] = "|cFF9999FF%s|r |cFF6666FF(%s):|r |cFF9999FF(DEBUG)|r Moving an existing player [%s] to the wait list.", 
	["debug.raid.update.modifymember.nolist"] = "|cFF9999FF%s|r |cFF6666FF(%s):|r |cFF9999FF(DEBUG)|r Moving an existing player [%s] to no list.", 
	["debug.raid.update.modifymember.offline"] = "|cFF9999FF%s|r |cFF6666FF(%s):|r |cFF9999FF(DEBUG)|r Moving an existing player [%s] to no list.  Player is offline.", 
	["debug.raid.update.continue"] = "|cFF9999FF%s|r |cFF6666FF(%s):|r |cFF9999FF(DEBUG)|r The current raid is continuing (Updated: %s).", 
	["debug.raid.update.end"] = "|cFF9999FF%s|r |cFF6666FF(%s):|r |cFF9999FF(DEBUG)|r The raid has ended (%s).", 
	["debug.raid.update.numberOfRaidMembers"] = "|cFF9999FF%s|r |cFF6666FF(%s):|r |cFF9999FF(DEBUG)|r There currently are %d tracked raid members.", 
	["debug.raid.update.modifymember.leave"] = "|cFF9999FF%s|r |cFF6666FF(%s):|r |cFF9999FF(DEBUG)|r %s has left the raid.",  
	["debug.raid.update.difficulty"] = "|cFF9999FF%s|r |cFF6666FF(%s):|r |cFF9999FF(DEBUG)|r Raid difficulty is now set to %s.",  
	["debug.status.battleground.enter"] = "|cFF9999FF%s|r |cFF6666FF(%s):|r |cFF9999FF(DEBUG)|r Raid tracking is disabled because player is in a battleground (%s).", 
	["debug.status.battleground.leave"] = "|cFF9999FF%s|r |cFF6666FF(%s):|r |cFF9999FF(DEBUG)|r Raid tracking is enabled because player exited a battleground.", 
	["debug.whisper.nomessages"] = "|cFF9999FF%s|r |cFF6666FF(%s):|r |cFF9999FF(DEBUG)|r Whisper update is complete because there are no more whispers in queue.", 
	
	["debug.mod.disable"] = "|cFF9999FF%s|r |cFF6666FF(%s):|r |cFF9999FF(DEBUG)|r Mod disabled.",  
	["debug.mod.enable"] = "|cFF9999FF%s|r |cFF6666FF(%s):|r |cFF9999FF(DEBUG)|r Mod enabled.",  

	-- Messages (translate the description, but do not translate the title prefix or the command itself)
	["message.waitlist.commands"] = "Wait list commands: ", 
	["message.waitlist.commands.wl"] = "wl - Display commands.", 
	["message.waitlist.commands.wl.status"] = "wl status - Display your waitlist status.", 
	["message.waitlist.commands.wl.contact"] = "wl contact <note> - Change your wait list contact note.", 
	["message.waitlist.commands.wl.add"] = "wl add <note> - Add yourself to the wait list.", 
	["message.waitlist.commands.wl.remove"] = "wl remove - Remove yourself from the wait list.", 
	["message.waitlist.invalid"] = "The wait list command you submitted is invalid.  Please try again.", 
	["message.waitlist.commands.wl.status.notinraid"] = "You are not currently a member of the raid.", 	
	["message.waitlist.commands.wl.status.inwaitlist"] = "You are currently present on the wait list.", 
	["message.waitlist.commands.wl.status.notinwaitlist"] = "You are currently not present on the wait list.", 
	["message.waitlist.commands.wl.remove.notinraid"] = "Unable to remove you from the wait list because you are currently not a member of the raid.", 
	["message.waitlist.commands.wl.remove.notinwaitlist"] = "Unable to remove you because you are not currently on the wait list.", 
	["message.waitlist.commands.wl.remove.success"] = "You have been successfully removed from the wait list.", 
	["message.waitlist.commands.wl.add.inraidlist"] = "Unable to add you because you are currently in the raid.", 
	["message.waitlist.commands.wl.add.inwaitlist"] = "Unable to add you because you are already on the wait list.", 
	["message.waitlist.commands.wl.add.success"] = "You have been successfully added to the wait list.", 
	["message.waitlist.commands.wl.contact.invalid"] = "Unable to add your wait list contact note because you did not specify a note.", 
	["message.waitlist.commands.wl.contact.notinwaitlist"] = "Unable to add your wait list contact note because you are not present on the wait list.", 
	["message.waitlist.commands.wl.contact.notinraid"] = "Unable to add your wait list contact note because you are currently not a member of the raid.", 
	["message.waitlist.commands.wl.contact.success"] = "You have successfully updated your wait list contact note.", 
	
	-- Item quality
	["Poor"] = "Poor", 
	["Common"] = "Common", 
	["Uncommon"] = "Uncommon", 
	["Rare"] = "Rare", 
	["Epic"] = "Epic", 
	["Legendary"] = "Legendary", 
	["Artifact"] = "Artifact", 
	
	-- Time lists
	["Raidlist"] = "Raidlist", 
	["Waitlist"] = "Waitlist", 
	["Offline"] = "Offline", 
	
	-- Export formats
	["EQdkp"] = "EQdkp", 
	["XML"] = "XML", 
	["Text"] = "Text", 

	-- Localized class names
	["Death Knight"] = "Death Knight", 
	["Druid"] = "Druid", 
	["Hunter"] = "Hunter", 
	["Mage"] = "Mage", 
	["Paladin"] = "Paladin", 
	["Priest"] = "Priest", 
	["Rogue"] = "Rogue", 
	["Shaman"] = "Shaman", 
	["Warlock"] = "Warlock", 
	["Warrior"] = "Warrior", 	

	-- Raid instances
	["Zul'Gurub"] = "Zul'Gurub", 		
	["Ruins of Ahn'Qiraj"] = "Ruins of Ahn'Qiraj", 
	["Onyxia's Lair"] = "Onyxia's Lair", 
	["Molten Core"] = "Molten Core", 
	["Blackwing Lair"] = "Blackwing Lair", 
	["Ahn'Qiraj"] = "Ahn'Qiraj",  
	["Karazhan"] = "Karazhan", 
	["Zul'Aman"] = "Zul'Aman", 
	["Gruul's Lair"] = "Gruul's Lair", 
	["Magtheridon's Lair"] = "Magtheridon's Lair", 
	["Serpentshrine Cavern"] = "Serpentshrine Cavern", 
	["Tempest Keep"] = "Tempest Keep", 		
	["Hyjal Summit"] = "Hyjal Summit", 
	["Black Temple"] = "Black Temple", 
	["Sunwell Plateau"] = "Sunwell Plateau", 	
	["Vault of Archavon"] = "Vault of Archavon", 
	["The Obsidian Sanctum"] = "The Obsidian Sanctum", 
	["Naxxramas"] = "Naxxramas", 
	["The Eye of Eternity"] = "The Eye of Eternity", 	
	
	-- Raid instance name aliases
	["Temple of Ahn'Qiraj"] = "Temple of Ahn'Qiraj", 
	["Battle for Mount Hyjal"] = "Battle for Mount Hyjal", 

	-- Battleground zones
	["Alterac Valley"] = "Alterac Valley", 
	["Arathi Basin"] = "Arathi Basin", 
	["Eye of the Storm"] = "Eye of the Storm", 
	["Strand of the Ancients"] = "Strand of the Ancients", 
	["Warsong Gulch"] = "Warsong Gulch", 
	
	-- Arena zones
	["Blade's Edge Arena"] = "Blade's Edge Arena", 
	["Dalaran Arena"] = "Dalaran Arena", 
	["Nagrand Arena"] = "Nagrand Arena", 
	["Ruins of Lordaeron"] = "Ruins of Lordaeron", 
	["The Ring of Valor"] = "The Ring of Valor", 
	
	-- Chest targets
	["Cache of the Firelord"] = "Cache of the Firelord", 
	["Four Horsemen Chest"] = "Four Horsemen Chest", 
	["Dust Covered Chest"] = "Dust Covered Chest", 
	
	-- Bosses
	["Akama"] = "Akama", 
	["Amani Bear Spirit"] = "Amani Bear Spirit", 
	["Amani Dragonhawk Spirit"] = "Amani Dragonhawk Spirit", 
	["Amani Eagle Spirit"] = "Amani Eagle Spirit", 
	["Amani Lynx Spirit"] = "Amani Lynx Spirit", 
	["Arygos"] = "Arygos", 
	["Atiesh"] = "Atiesh", 
	["Baron Rivendare"] = "Baron Rivendare", 
	["Blade of Azzinoth"] = "Blade of Azzinoth", 
	["Blindeye the Seer"] = "Blindeye the Seer", 	
	["Caelestrasz"] = "Caelestrasz", 
	["Cairne Bloodhoof"] = "Cairne Bloodhoof", 
	["Captain Balinda Stonehearth"] = "Captain Balinda Stonehearth", 
	["Captain Galvangar"] = "Captain Galvangar", 
	["Dire Wolf"] = "Dire Wolf", 
	["Dorothee"] = "Dorothee", 
	["Drek'Thar"] = "Drek'Thar", 
	["Echo of Medivh"] = "Echo of Medivh", 
	["Emperor Vek'lor"] = "Emperor Vek'lor",
	["Emperor Vek'nilash"] = "Emperor Vek'nilash",	
	["Entropius"] = "Entropius", 	
	["Essence of Anger"] = "Essence of Anger",
	["Essence of Desire"] = "Essence of Desire", 
	["Essence of Suffering"] = "Essence of Suffering", 
	["Eye of C'Thun"] = "Eye of C'Thun", 
	["Feugen"] = "Feugen", 
	["Gathios the Shatterer"] = "Gathios the Shatterer",
	["Grand Astromancer Capernian"] = "Grand Astromancer Capernian", 
	["Grand Magister Rommath"] = "Grand Magister Rommath", 
	["Grand Warlock Alythess"] = "Grand Warlock Alythess",
	["Hellfire Channeler"] = "Hellfire Channeler", 
	["High Nethermancer Zerevor"] = "High Nethermancer Zerevor",
	["Highlord Mograine"] = "Highlord Mograine", 
	["Flame of Azzinoth"] = "Flame of Azzinoth", 
	["Image of Medivh"] = "Image of Medivh", 
	["Julianne"] = "Julianne",		
	["Kalecgos"] = "Kalecgos", 
	["Kiggler the Crazed"] = "Kiggler the Crazed", 
	["King Magni Bronzebeard"] = "King Magni Bronzebeard", 
	["King Varian Wrynn"] = "King Varian Wrynn", 
	["Krosh Firehand"] = "Krosh Firehand", 
	["Lady Blaumeux"] = "Lady Blaumeux",
	["Lady Jaina Proudmoore"] = "Lady Jaina Proudmoore", 	
	["Lady Malande"] = "Lady Malande",		
	["Lady Sacrolash"] = "Lady Sacrolash", 
	["Lady Sylvanas Windrunner"] = "Lady Sylvanas Windrunner", 
	["Lor'themar Theron"] = "Lor'themar Theron", 
	["Lord Sanguinar"] = "Lord Sanguinar", 
	["Lord Victor Nefarius"] = "Lord Victor Nefarius", 
	["Madrigosa"] = "Madrigosa", 
	["Maiev Shadowsong"] = "Maiev Shadowsong", 
	["Majordomo Executus"] = "Majordomo Executus", 
	["Master Engineer Telonicus"] = "Master Engineer Telonicus", 
	["Merithra of the Dream"] = "Merithra of the Dream", 	
	["Midnight"] = "Midnight", 
	["M'uru"] = "M'uru", 
	["Ohgan"] = "Ohgan", 
	["Olm the Summoner"] = "Olm the Summoner", 
	["Prophet Velen"] = "Prophet Velen", 
	["Roar"] = "Roar", 
	["Romulo"] = "Romulo",	
	["Sathrovarr the Corruptor"] = "Sathrovarr the Corruptor", 
	["Shadow of Aran"] = "Shadow of Aran", 
	["Shadow of Leotheras"] = "Shadow of Leotheras", 
	["Shadron"] = "Shadron", 
	["Sir Zeliek"] = "Sir Zeliek",	
	["Spirit of the Lynx"] = "Spirit of the Lynx", 
	["Stalagg"] = "Stalagg", 
	["Strawman"] = "Strawman", 
	["Tenebron"] = "Tenebron", 
	["Thaladred the Darkener"] = "Thaladred the Darkener", 
	["Thane Korth'azz"] = "Thane Korth'azz", 	
	["The Big Bad Wolf"] = "The Big Bad Wolf",
	["The Crone"] = "The Crone",	
	["The Illidari Council"] = "The Illidari Council", 
	["Thrall"] = "Thrall", 
	["Tinhead"] = "Tinhead",  
	["Tito"] = "Tito", 
	["Tyrande Whisperwind"] = "Tyrande Whisperwind", 
	["Vanndar Stormpike"] = "Vanndar Stormpike", 	
	["Veras Darkshadow"] = "Veras Darkshadow",	
	["Vesperon"] = "Vesperon", 

	-- Boss events aliases
	["Chess Event"] = "Chess Event", 
	["Eredar Twins"] = "Eredar Twins", 
	["Opera Event (Romulo and Julianne)"] = "Opera Event (Romulo and Julianne)", 	
	["Opera Event (The Big Bad Wolf)"] = "Opera Event (The Big Bad Wolf)", 
	["Opera Event (Wizard of Oz)"] = "Opera Event (Wizard of Oz)", 
	["Reliquary of Souls"] = "Reliquary of Souls", 		
	["The Four Horsemen"] = "The Four Horsemen", 	
	["Twin Emperors"] = "Twin Emperors", 

	-- *** MISCELLANEOUS ***
	-- Localization
	["language.de"] = "German", 	
	["language.en"] = "English", 
	["language.es"] = "Spanish", 	
	["language.fr"] = "French", 
	["language.ko"] = "Korean", 
	["language.ru"] = "Russian", 
	["language.zh"] = "Chinese", 	
	
	-- NON-TRANSLATED TEXT	
	-- ** MISCELLANEOUS **
	-- Used for comparing the quality of a looted item again against the minimum tracked loot quality
	-- e.g. - Epic item is looted, addon checks if (itemQuality >= L.itemQualityNumbers["Epic"])
	itemQualityNumbers = {
		["Poor"] = 0, 
		["Common"] = 1, 
		["Uncommon"] = 2, 
		["Rare"] = 3, 
		["Epic"] = 4, 
		["Legendary"] = 5, 
		["Artifact"] = 6, 
	}, 
	
	-- Used for the minimum loot quality configuration option validation
	-- Do not translate for now.  This should be moved to constants
	itemQuality = {
		"Poor", 
		"Common", 
		"Uncommon", 
		"Rare", 
		"Epic", 
		"Legendary", 
		"Artifact", 
	}, 

	-- Used for the date formatting configuration option validation
	-- Do not translate for now.  This should be moved to constants
	dateFormatting = { 
		"Day-Month-Year", 
		"Month-Day-Year", 
		"Year-Day-Month",
	}, 
	
	-- ** INTERNAL CLASS NAMES
	["class.deathknight"] = "DEATHKNIGHT", 
	["class.druid"] = "DRUID", 
	["class.hunter"] = "HUNTER", 
	["class.mage"] = "MAGE", 
	["class.paladin"] = "PALADIN", 
	["class.priest"] = "PRIEST", 
	["class.rogue"] = "ROGUE", 
	["class.shaman"] = "SHAMAN", 
	["class.warlock"] = "WARLOCK", 
	["class.warrior"] = "WARRIOR", 
	
	-- ** OBJECTS **
	["object.Boss"] = "Boss", 
	["object.BossEvent"] = "BossEvent", 
	["object.Loot"] = "Loot", 
	["object.Player"] = "Player", 
	["object.PlayerInformation"] = "PlayerInformation", 	
	["object.MessageHandler"] = "MessageHandler", 
	["object.Raid"] = "Raid", 
	["object.RaidTracker"] = "RaidTracker", 
	["object.RaidListWrapper"] = "RaidListWrapper", 
	["object.Time"] = "Time", 	
	["object.TimePair"] = "TimePair", 	
} end)